Subject: Re: [TLS] publishing ESNIKeys under a .well-known URI...

From: Stephen Farrell <[email-masked]>
Date: Wed, 3 Jul 2019 16:01:21 +0100

On 26/06/2019 18:13, Christian Huitema wrote:

> I think Stephen's issue will be quite common, especially for small
> sites. 

It doesn't take much to encourage me so I just
pushed out that idea in I-D form:-) [1]

Comments/PRs etc welcome.

> But then, we should ask how often these sites need to update
> the ESNI key.

Yep. But regardless of where the key lifecycle
arithmetic lands, I figure we still need a way
to publish the things, for servers that don't
have dynamic DNS APIs.

Cheers,
S.

[1] https://tools.ietf.org/html/draft-farrell-tls-wkesni-00